<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY eacute "&#233;">
<!ENTITY agrave "&#224;">
]>
<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:param name="browser-destination"/>
    <!-- Paramètres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="à" string="&amp;#224;"/>
        <xsl:output-character character="é" string="&amp;#233;"/>
        <xsl:output-character character="è" string="&amp;#232;"/>
        <xsl:output-character character="ê" string="&amp;#234;"/>
        <xsl:output-character character="ë" string="&amp;#235;"/>
        <xsl:output-character character="î" string="&amp;#238;"/>
        <xsl:output-character character="ï" string="&amp;#239;"/>
        <xsl:output-character character="ô" string="&amp;#244;"/>
        <xsl:output-character character="ù" string="&amp;#249;"/>
    </xsl:character-map>
    
    <xsl:output method="xhtml" encoding="ISO-8859-1" indent="yes" use-character-maps="accents"/>
    <xsl:variable name="witchNomenclature"><xsl:value-of select="//n:Entete/n:Infos/n:CompteGestion[1]/@V"/></xsl:variable>    
    <!--xsl:include href="./common-xsl/Header.xsl"/-->
    
    <!-- pour eviter les sorties parasites de tags non matches -->
    <!--xsl:template match="*"/-->    
                
    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title><xsl:text>Compte de Gestion SPL : Commune de </xsl:text><xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Libelle"/> (<xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Siret"/>)</title>
                <style>
                    body { width: 100%; }
                    
                    h1 { font-family: verdana, sans-serif; font-size: 24px; color: black; text-align: center; }
                    h2 { font-family: verdana, sans-serif; font-size: 21px; text-align: center; }
                    h3 { font-family: verdana, sans-serif; font-size: 16px; text-align: center; }
                    h4 { font-family: verdana, sans-serif; font-size: 14px; padding-left: 120px; }
                    
                    .BA { font-family: verdana, sans-serif; font-size: 14px; padding-left: 225px; text-decoration: underline; font-weight: bold; }
                    
                    a { padding-left: 225px; }
                    a#lienspe { padding-left: 225px;}
                    pre#nolink { padding-left: 225px;}
                    
                    
                    /*a.subtitle {padding-left: 275px;}*/
            
                </style>

            </head>
            <body>
                <!--h1>Table des mati&egrave;res</h1-->
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="/n:CompteGestion/n:Entete">
        <!--h2>Compte de Gestion <xsl:value-of select="$witchNomenclature"/></h2>
        <h3>Collectivite : <xsl:value-of select="n:Infos/n:Collectivite/@Libelle"/> (<xsl:value-of select="n:Infos/n:Collectivite/@Siret"/>)</h3>
        <h4>
            <xsl:value-of select="n:Infos/n:Collectivite/@TypeBudget"/>
        </h4>
        <h3>Exercice&nbsp;<xsl:value-of select="n:Infos/n:Collectivite/@Exercice"/></h3-->
        <!--table width="100%">
            <colgroup>
                <col/>
                <col width="50%"/>
                <col/>
            </colgroup>
            <tbody>
                <tr>
                    <th style="text-align: left;" valign="middle"><img src="xemelios:/resource?logo_marianne.png" alt="LogoMarianne"/></th>
                    <th>&#160;</th>
                    <th style="text-align: right;" valign="middle"><img src="xemelios:/resource?logo_ministere.png" alt="LogoMinistere"/></th>
                </tr>
            </tbody>
        </table-->
        <xsl:call-template name="header">
            <xsl:with-param name="Entete" select="."/>
            <xsl:with-param name="Titre">SOMMAIRE</xsl:with-param>
        </xsl:call-template>
        <br/>
        <br/>
    </xsl:template>

    <xsl:template match="n:Accueil">
        <p>
            <xsl:apply-templates/>
        </p>
    </xsl:template>

    <xsl:template match="n:PageAccueil">
        <xsl:choose>
            <xsl:when test="$witchNomenclature = 'CG14'">
                <xsl:call-template name="M14">
                    <xsl:with-param name="lignesAccueil" select="n:LigneAccueil"/>                
                </xsl:call-template>
            </xsl:when>
            <xsl:when test="$witchNomenclature = 'CG22'">
                <xsl:call-template name="M22">
                    <xsl:with-param name="lignesAccueil" select="n:LigneAccueil"/>                
                </xsl:call-template>
            </xsl:when>
            <xsl:when test="$witchNomenclature[1] = 'CG21'">
                <xsl:call-template name="M21">
                    <xsl:with-param name="lignesAccueil" select="n:LigneAccueil"/>                
                </xsl:call-template>
            </xsl:when>
        </xsl:choose>       
        <br/>
        <br/>
        <br/>
        <p align="center">Page <xsl:value-of select="normalize-space(n:Pied/@NumPage)"/></p>
    </xsl:template>


    <xsl:template name="M14">
        <xsl:param name="lignesAccueil"/>
        <xsl:variable name="liste.partie">
            <n:titres>
                <xsl:for-each select="$lignesAccueil[contains(@Titre, 'PARTIE')]">
                    <n:titre><xsl:value-of select="@Titre"/></n:titre>            
                </xsl:for-each></n:titres>
        </xsl:variable>
           
        <pre>
            <h2><u>Le Compte de Gestion sur Chiffres</u></h2>
            <br/>
            <xsl:for-each select="$lignesAccueil">
                <xsl:choose>
                    <xsl:when test="string-length(@Etat) &gt; 0">
                    <!--xsl:when test="string-length(@Etat) &gt; 0 and not(contains(@Etat,'ValeursInactives'))"-->
                        <xsl:variable name="Etat">
                            <xsl:choose>
                                <xsl:when test="@Etat='BalanceComptes'">BalanceGenerale</xsl:when>
                                <xsl:when test="@Etat='ValeursInactives'">BalanceValeursInactives</xsl:when>
                                <xsl:otherwise><xsl:value-of select="@Etat"/></xsl:otherwise>
                            </xsl:choose>                                    
                        </xsl:variable>
                        <xsl:variable name="this.sommaire">
                            <xsl:copy-of select="//n:Sommaire/n:LigneSommaire[@Code=$Etat]"/>
                        </xsl:variable>
                        
                        <xsl:choose>
                            <xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'annexe')) and not(contains(@Etat,'PresentationCroisee')) and not(contains(lower-case(@Etat),'actif'))">
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="$num.first.page"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:if test="count($this.sommaire) &gt; 0">&nbsp;(<xsl:value-of select="$this.sommaire/n:LigneSommaire/@FirstPage"/> - <xsl:value-of select="$this.sommaire/n:LigneSommaire/@LastPage"/>)</xsl:if><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Etat), 'actif') and not(contains(@Etat,'PresentationCroisee'))">
                                <pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre>
                                <xsl:text disable-output-escaping="yes">&#160;&#160;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2.1 Bilan Actif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                                <xsl:text disable-output-escaping="yes">&#160;&#160;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2.2 Bilan Passif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Titre),'pr&eacute;sentation') and contains(@Etat,'PresentationCroisee')">
                                <xsl:variable name="Titre" select="tokenize(normalize-space(@Titre),' : ')"/>
                                <h4><xsl:value-of select="$Titre[1]"/> :</h4>
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="$Titre[2]"/><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Titre),'signature')"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                            <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="string-length(@Etat) = 0"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                </xsl:choose>
                <br/>
            </xsl:for-each>
            <br/>
            <h2><u>Les Etats Comptables</u></h2>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+1"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='Solde-RV41']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='Solde-RV41']/@LastPage"/>)</xsl:if>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+2"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='Solde-DP19']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='Solde-DP19']/@LastPage"/>)</xsl:if>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+3"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='DeveloppementSoldes']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='DeveloppementSoldes']/@LastPage"/>)</xsl:if>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+4"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='FichesBudgetaires']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='FichesBudgetaires']/@LastPage"/>)</xsl:if>
            </xsl:element>
            <h4><xsl:value-of select="count($liste.partie/n:titres/n:titre)+5"/>EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='LivreAuxiliaire']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='LivreAuxiliaire']/@LastPage"/>)</xsl:if>
            </xsl:element>
        </pre>
    </xsl:template>
    
    <xsl:template name="M22">
        <xsl:param name="lignesAccueil"/>
        <pre>
            <h2><u>Le Compte de Gestion sur Chiffres</u></h2>
            <br/>
            <h4>1ERE PARTIE : </h4>
            <xsl:for-each select="$lignesAccueil">
                <xsl:choose>
                    <!--xsl:when test="string-length(@Etat) &gt; 0 and not(contains(@Etat,'ValeursInactives'))"-->
                    <xsl:when test="string-length(@Etat) &gt; 0">
                        <xsl:choose>
                            <!--xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'annexe'))"-->
                            <xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'signature'))  and not(contains(lower-case(@Etat),'actif'))">
                                <xsl:variable name="Etat">
                                    <xsl:choose>
                                        <xsl:when test="@Etat='BalanceComptes'">BalanceGenerale</xsl:when>
                                        <xsl:when test="@Etat='ValeursInactives'">BalanceValeursInactives</xsl:when>
                                        <xsl:otherwise><xsl:value-of select="@Etat"/></xsl:otherwise>
                                    </xsl:choose>                                    
                                </xsl:variable>
                                <!--xsl:variable name="num.first.page"><xsl:value-of select="substring(@Titre,string-length(@Titre)-1,string-length(@Titre))"/></xsl:variable-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <!--xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="$num.first.page"/><xsl:text><![CDATA[]]]></xsl:text-->
                                <!--xsl:choose>
                                    <xsl:when test="contains(@Etat,'PresentationCroisee') or contains(lower-case(@Titre),'investissement') or contains(lower-case(@Titre),'d&eacute;pense')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:otherwise>
                                    </xsl:choose-->
                                <!--xsl:choose>
                                    <xsl:when test="contains(@Etat,'Consommation') and contains(lower-case(@Titre),'d&eacute;pense')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage+1"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:when test="contains(@Etat,'Consommation') and not(contains(lower-case(@Titre),'d&eacute;pense')) or contains(@Etat,'Renseignement')">
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=]]></xsl:text><xsl:value-of select="@FirstPage"/><xsl:text><![CDATA[]]]></xsl:text>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                    </xsl:otherwise>
                                    </xsl:choose-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text><xsl:value-of select="normalize-space(@Titre)"/><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                            </xsl:when>
                            <xsl:when test="contains(lower-case(@Etat), 'actif') and not(contains(lower-case(@Titre),'signature'))">
                                <pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre>
                                
                                <xsl:text disable-output-escaping="yes">&#160;&#160;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanActif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>1. Bilan Actif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                                <xsl:text disable-output-escaping="yes">&#160;&#160;<![CDATA[<a href="xemelios:/query?docId=]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=SP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=PageSP_BilanPassif]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:start/@pageEtat='1']]]></xsl:text>
                                <xsl:text disable-output-escaping="yes"><![CDATA[" >]]></xsl:text>2. Bilan Passif<xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                            </xsl:when>
                            <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="string-length(@Etat) = 0"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <!--xsl:otherwise><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:otherwise-->
                </xsl:choose>
                <br/>
            </xsl:for-each>
            <h2><u>Les Etats Comptables</u></h2>
            <h4>2EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text>
            </xsl:element>
            <h4>3EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text>
            </xsl:element>
            <h4>4EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text>
            </xsl:element>
            <h4>5EME PARTIE : </h4>            
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text>
            </xsl:element>
            <h4>6EME PARTIE : </h4>
            <xsl:element name="a">
                <xsl:attribute name="id">lienspe</xsl:attribute>
                <xsl:attribute name="href">
                    <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                    <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                    <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                    <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                    <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                </xsl:attribute>
                <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text>
            </xsl:element>
        </pre>
    </xsl:template>
    
    <xsl:template name="M21">
        <xsl:param name="lignesAccueil"/>
        <xsl:variable name="parties">
            <xsl:element name="Parties" namespace="http://www.xemelios.org/namespaces#cg-1.0">
                <xsl:for-each select="$lignesAccueil[contains(upper-case(@Titre),'PARTIE')]"><xsl:element name="partie" namespace="http://www.xemelios.org/namespaces#cg-1.0"><xsl:value-of select="substring-before(upper-case(@Titre),'EME PARTIE')"/></xsl:element></xsl:for-each>
            </xsl:element>
        </xsl:variable>
        <xsl:variable name="last.partie" select="$parties//n:partie[last()]/text()"/>
        <pre>
            <h2><u>Le Compte de Gestion sur Chiffres</u></h2>
            <br/>
            <xsl:for-each select="$lignesAccueil">
                <xsl:choose>
                    <!--xsl:when test="string-length(@Etat) &gt; 0 and not(contains(@Etat,'ValeursInactives'))"-->
                    <xsl:when test="string-length(@Etat) &gt; 0">
                        <xsl:choose>
                            <!--xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'annexe'))"-->
                            <xsl:when test="$browser-destination = 'internal' and not(contains(lower-case(@Titre),'signature'))">
                                <xsl:variable name="Etat">
                                    <xsl:choose>
                                        <xsl:when test="@Etat='BalanceComptes'">BalanceGenerale</xsl:when>
                                        <xsl:when test="@Etat='ValeursInactives'">BalanceValeursInactives</xsl:when>
                                        <xsl:otherwise><xsl:value-of select="@Etat"/></xsl:otherwise>
                                    </xsl:choose>                                    
                                </xsl:variable>
                                <xsl:variable name="this.sommaire">
                                    <xsl:copy-of select="//n:Sommaire/n:LigneSommaire[@Code=$Etat]"/>
                                </xsl:variable>
                                
                                <xsl:if test="contains(upper-case(@Titre),'LES ANNEXES')"><h4><xsl:value-of select="tokenize(normalize-space(@Titre),'LES ANNEXES')[1]"/></h4></xsl:if>
                                <!--xsl:variable name="num.first.page"><xsl:value-of select="substring(@Titre,string-length(@Titre)-1,string-length(@Titre))"/></xsl:variable-->
                                <xsl:text disable-output-escaping="yes"><![CDATA[<a href="xemelios:/query?docId=]]></xsl:text><xsl:choose>
                                    <xsl:when test="name(/child::node()[1])='CompteGestion'">compteGestion</xsl:when>
                                    <xsl:otherwise><xsl:value-of select="name(/child::node()[1])"/></xsl:otherwise>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;etatId=]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;elementId=Page]]></xsl:text><xsl:value-of select="$Etat"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;collectivite=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;budget=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;sp1=]]></xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                                <xsl:text disable-output-escaping="yes"><![CDATA[&amp;path=[n:Pied/@NumPage=']]></xsl:text><xsl:choose><xsl:when test="@FirstPage"><xsl:value-of select="number(@FirstPage) + 1"/></xsl:when><xsl:otherwise><xsl:value-of select="//n:LigneSommaire[@Code=$Etat]/@FirstPage"/></xsl:otherwise></xsl:choose><xsl:text disable-output-escaping="yes"><![CDATA[']]]></xsl:text>                                
                                <xsl:text disable-output-escaping="yes"><![CDATA["]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="starts-with(@Titre,'1.') or starts-with(@Titre,'2.') or starts-with(@Titre,'3.') or starts-with(@Titre,'4.') or starts-with(@Titre,'5.') or starts-with(@Titre,'6.') or starts-with(@Titre,'7.')"><xsl:text disable-output-escaping="yes"><![CDATA[ class="subtitle"]]></xsl:text></xsl:when>
                                </xsl:choose>
                                <xsl:text disable-output-escaping="yes"><![CDATA[>]]></xsl:text>
                                <xsl:choose>
                                    <xsl:when test="contains(upper-case(@Titre),'LES ANNEXES')"><xsl:value-of select="normalize-space(tokenize(normalize-space(@Titre),'PARTIE :')[2])"/><xsl:if test="count($this.sommaire) &gt; 0">&nbsp;(<xsl:value-of select="$this.sommaire/n:LigneSommaire/@FirstPage"/> - <xsl:value-of select="$this.sommaire/n:LigneSommaire/@LastPage"/>)</xsl:if></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(@Titre)"/><xsl:if test="count($this.sommaire) &gt; 0">&nbsp;(<xsl:value-of select="$this.sommaire/n:LigneSommaire/@FirstPage"/> - <xsl:value-of select="$this.sommaire/n:LigneSommaire/@LastPage"/>)</xsl:if></xsl:otherwise>
                                </xsl:choose><xsl:text disable-output-escaping="yes"><![CDATA[</a>]]></xsl:text>
                                <br/>
                            </xsl:when>
                            <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="(not(@Etat) or string-length(@Etat) = 0) and contains(lower-case(@Titre),'partie') and (contains(lower-case(@Titre),'ere') or contains(lower-case(@Titre),'eme'))"><h4><xsl:value-of select="normalize-space(@Titre)"/></h4></xsl:when>
                    <xsl:otherwise><pre id="nolink"><xsl:value-of select="normalize-space(@Titre)"/></pre></xsl:otherwise>
                </xsl:choose>
                <br/>
            </xsl:for-each>
            <h2><u>Les Etats Comptables</u></h2>
            
            <!-- Budgets Annexes-->
            <xsl:variable name="budgets.annexes" select="//n:BudgetBA"/>
            
            <!-- ERAR -->
            <xsl:choose>
                <xsl:when test="count(//n:LigneSommairePlus[@Code='Solde-RV41']) &gt;= 1">
                    <h4><xsl:value-of select="number($last.partie)+1"/>EME PARTIE : </h4>
                    <xsl:element name="a">
                        <xsl:attribute name="id">lienspe</xsl:attribute>
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1][@added:BudgetBA='']</xsl:text>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='Solde-RV41']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='Solde-RV41']/@LastPage"/>)</xsl:if>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise><h4><xsl:value-of select="number($last.partie)+1"/>EME PARTIE : Etat de solde : Reste A Recouvrer</h4></xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$budgets.annexes and count($budgets.annexes)>0">
                <p class="BA">Budgets Annexes&nbsp;:</p>
                <xsl:for-each select="$budgets.annexes">                    
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/customLink?srcDocId=compteGestion&amp;srcEtatId=Accueil&amp;srcElementId=PageAccueil&amp;srcCollectivite=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;srcBudget=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAR][n:Pied/@NumPage=1]</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;BudgetBA=</xsl:text><xsl:value-of select="@Code"/>
                            <xsl:text disable-output-escaping="yes">&amp;SiretBA=</xsl:text><xsl:value-of select="@SiretBA"/>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Recouvrer (</xsl:text><xsl:value-of select="@Code"/>&#160;-&nbsp;<xsl:value-of select="@SiretBA"/>&nbsp;-&nbsp;<xsl:value-of select="@Libelle"/><xsl:text disable-output-escaping="yes">)</xsl:text>
                    </xsl:element>
                    <br/><br/>
                </xsl:for-each>
            </xsl:if>
            <!-- ERAP -->
            <xsl:choose>
                <xsl:when test="count(//n:LigneSommairePlus[@Code='Solde-DP19']) &gt;= 1">
                    <h4><xsl:value-of select="number($last.partie)+2"/>EME PARTIE : </h4>
                    <xsl:element name="a">
                        <xsl:attribute name="id">lienspe</xsl:attribute>
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1][@added:BudgetBA='']</xsl:text>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='Solde-DP19']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='Solde-DP19']/@LastPage"/>)</xsl:if>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise><h4><xsl:value-of select="number($last.partie)+2"/>EME PARTIE : Etat de solde : Reste A Payer</h4></xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$budgets.annexes and count($budgets.annexes)>0">
                <p class="BA">Budgets Annexes&nbsp;:</p>
                <xsl:for-each select="$budgets.annexes">
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/customLink?srcDocId=compteGestion&amp;srcEtatId=Accueil&amp;srcElementId=PageAccueil&amp;srcCollectivite=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;srcBudget=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;docId=compteGestion&amp;etatId=Solde&amp;elementId=PageSolde</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:EnteteSolde/@Type=RAP][n:Pied/@NumPage=1]</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;BudgetBA=</xsl:text><xsl:value-of select="@Code"/>
                            <xsl:text disable-output-escaping="yes">&amp;SiretBA=</xsl:text><xsl:value-of select="@SiretBA"/>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etat de solde : Reste A Payer (</xsl:text><xsl:value-of select="@Code"/>&nbsp;-&nbsp;<xsl:value-of select="@SiretBA"/>&nbsp;-&nbsp;<xsl:value-of select="@Libelle"/><xsl:text disable-output-escaping="yes">)</xsl:text>
                    </xsl:element>     
                    <br/><br/>               
                </xsl:for-each>
            </xsl:if>
            <!-- EDDS -->
            <xsl:choose>
                <xsl:when test="count(//n:LigneSommairePlus[@Code='DeveloppementSoldes']) &gt;= 1">
                    <h4><xsl:value-of select="number($last.partie)+3"/>EME PARTIE : </h4>                                
                    <xsl:element name="a">
                        <xsl:attribute name="id">lienspe</xsl:attribute>
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1][@added:BudgetBA='']</xsl:text>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS)</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='DeveloppementSoldes']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='DeveloppementSoldes']/@LastPage"/>)</xsl:if>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise><h4><xsl:value-of select="number($last.partie)+3"/>EME PARTIE : Etats de D&#233;veloppement Des Soldes (EDDS)</h4></xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$budgets.annexes and count($budgets.annexes)>0">
                <p class="BA">Budgets Annexes&nbsp;:</p>
                <xsl:for-each select="$budgets.annexes">
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/customLink?srcDocId=compteGestion&amp;srcEtatId=Accueil&amp;srcElementId=PageAccueil&amp;srcCollectivite=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;srcBudget=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;docId=compteGestion&amp;etatId=DeveloppementSoldes&amp;elementId=PageDeveloppementSoldes</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;BudgetBA=</xsl:text><xsl:value-of select="@Code"/>
                            <xsl:text disable-output-escaping="yes">&amp;SiretBA=</xsl:text><xsl:value-of select="@SiretBA"/>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Etats de D&#233;veloppement Des Soldes (EDDS) (</xsl:text><xsl:value-of select="@Code"/>&nbsp;-&nbsp;<xsl:value-of select="@SiretBA"/>&nbsp;-&nbsp;<xsl:value-of select="@Libelle"/><xsl:text disable-output-escaping="yes">)</xsl:text>
                    </xsl:element> 
                    <br/><br/>                   
                </xsl:for-each>
            </xsl:if>
            <!-- Fiches Budgetaires -->            
            <xsl:choose>
                <xsl:when test="count(//n:LigneSommairePlus[@Code='FichesBudgetaires']) &gt;= 1">
                    <h4><xsl:value-of select="number($last.partie)+4"/>EME PARTIE : </h4>                    
                    <xsl:element name="a">
                        <xsl:attribute name="id">lienspe</xsl:attribute>
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1][@added:BudgetBA='']</xsl:text>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='FichesBudgetaires']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='FichesBudgetaires']/@LastPage"/>)</xsl:if>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise><h4><xsl:value-of select="number($last.partie)+4"/>EME PARTIE : Fiches Budg&#233;taires</h4></xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$budgets.annexes and count($budgets.annexes)>0">
                <p class="BA">Budgets Annexes&nbsp;:</p>
                <xsl:for-each select="$budgets.annexes">
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/customLink?srcDocId=compteGestion&amp;srcEtatId=Accueil&amp;srcElementId=PageAccueil&amp;srcCollectivite=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;srcBudget=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;docId=compteGestion&amp;etatId=FichesBudgetaires&amp;elementId=PageFichesBudgetaires</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;BudgetBA=</xsl:text><xsl:value-of select="@Code"/>
                            <xsl:text disable-output-escaping="yes">&amp;SiretBA=</xsl:text><xsl:value-of select="@SiretBA"/>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Fiches Budg&#233;taires (</xsl:text><xsl:value-of select="@Code"/>&nbsp;-&nbsp;<xsl:value-of select="@SiretBA"/>&nbsp;-&nbsp;<xsl:value-of select="@Libelle"/><xsl:text disable-output-escaping="yes">)</xsl:text>
                    </xsl:element>         
                    <br/><br/>           
                </xsl:for-each>
            </xsl:if>
            <!-- Livre Auxiliaire -->            
            <xsl:choose>
                <xsl:when test="count(//n:LigneSommairePlus[@Code='LivreAuxiliaire']) &gt;= 1">
                    <h4><xsl:value-of select="number($last.partie)+5"/>EME PARTIE : </h4>                    
                    <xsl:element name="a">
                        <xsl:attribute name="id">lienspe</xsl:attribute>
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/query?docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;collectivite=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;budget=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1][@added:BudgetBA='']</xsl:text>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</xsl:text><xsl:if test="count(//n:LigneSommairePlus[@Code='LivreAuxiliaire']) &gt; 0">&#160;(1 - <xsl:value-of select="//n:LigneSommairePlus[@Code='LivreAuxiliaire']/@LastPage"/>)</xsl:if>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise><h4><xsl:value-of select="number($last.partie)+5"/>EME PARTIE : Livre Auxiliaire des Comptes de Tiers et des comptes Financiers</h4></xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$budgets.annexes and count($budgets.annexes)>0">
                <p class="BA">Budgets Annexes&nbsp;:</p>
                <xsl:for-each select="$budgets.annexes">
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">xemelios:/customLink?srcDocId=compteGestion&amp;srcEtatId=Accueil&amp;srcElementId=PageAccueil&amp;srcCollectivite=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@Siret"/>
                            <xsl:text disable-output-escaping="yes">&amp;srcBudget=</xsl:text><xsl:value-of select="//n:Entete//n:Collectivite/@CodeBudget"/>
                            <xsl:text disable-output-escaping="yes">&amp;docId=compteGestion&amp;etatId=LivreAuxiliaire&amp;elementId=PageLivreAuxiliaire</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;sp1=</xsl:text><xsl:value-of select="//n:Entete/n:Infos/n:Collectivite/@Exercice"/>
                            <xsl:text disable-output-escaping="yes">&amp;path=[n:Pied/@NumPage=1]</xsl:text>
                            <xsl:text disable-output-escaping="yes">&amp;BudgetBA=</xsl:text><xsl:value-of select="@Code"/>
                            <xsl:text disable-output-escaping="yes">&amp;SiretBA=</xsl:text><xsl:value-of select="@SiretBA"/>
                        </xsl:attribute>
                        <xsl:text disable-output-escaping="yes">Livre Auxiliaire des Comptes de Tiers et des comptes Financiers (</xsl:text><xsl:value-of select="@Code"/>&nbsp;-&nbsp;<xsl:value-of select="@SiretBA"/>&nbsp;-&nbsp;<xsl:value-of select="@Libelle"/><xsl:text disable-output-escaping="yes">)</xsl:text>
                    </xsl:element>
                    <br/><br/>
                </xsl:for-each>
            </xsl:if>
        </pre>
    </xsl:template>
    
    <xsl:template name="header">
        <xsl:param name="Entete"/>
        <xsl:param name="Titre"/>
        <xsl:param name="Titre.Plus"/>
        
        <table width="100%" style="border-style:none;border-width:0px;cell-padding:0px;cell-spacing:0px">
            <colgroup>
                <col width="30%"/>
                <col/>
                <col width="30%"/>
            </colgroup>
            <tbody>
                <tr style="border:none;">
                    <td style="border:none;" class="titre bold"><h3 style="text-align: left;">Poste Comptable de <xsl:value-of select="$Entete//n:Tresorerie/@LibelleCodique"/></h3></td>
                    <td style="border:none;" class="titre center">&#160;<h3>Date Edition : 
                        <xsl:choose>
                            <xsl:when test="//n:Nomenclature/@V='M21'"><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="//n:PageAccueil/@DateEdition"></xsl:with-param></xsl:call-template></xsl:when>
                            <xsl:otherwise><xsl:call-template name="iso-date"><xsl:with-param name="datebrute" select="$Entete//@DateEdition"></xsl:with-param></xsl:call-template></xsl:otherwise>
                        </xsl:choose></h3></td>
                    <td style="border:none;">&#160;<h3 style="text-align: right;">Nomenclature <xsl:value-of select="$Entete//n:Nomenclature/@V"/></h3></td>
                </tr>
                <xsl:if test="$Titre">
                    <tr>
                        <td colspan="3" style="border:none;" class="titre center">
                            <h1><xsl:value-of select="$Titre"/></h1>
                        </td>
                    </tr>    
                </xsl:if>
                <xsl:if test="$Titre.Plus">
                    <tr>
                        <td colspan="3" style="border:none;" class="titre center">
                            <xsl:copy-of select="$Titre.Plus/child::node()"/>  
                        </td>
                    </tr>
                </xsl:if>
                <tr style="border:none;">
                    <td style="border:none;" colspan="2" class="titre2 bold"><h3 style="text-align: left;"><xsl:value-of select="normalize-space($Entete[1]//n:Tresorerie[1]/@Code)"/> - <xsl:value-of select="normalize-space($Entete[1]//n:Collectivite[1]/@Libelle)"/></h3></td>
                    <td style="border:none;" class="titre2 right bold"><h3 style="text-align: right;">Exercice <xsl:value-of select="distinct-values($Entete//n:Collectivite/@Exercice)"/></h3></td>
                </tr>
            </tbody>
        </table>
    </xsl:template>
    
    <xsl:template name="iso-date">
        <xsl:param name="datebrute"/>
        <xsl:choose>
            <xsl:when test="string-length($datebrute)>0 and not(contains($datebrute,'..'))">        
                <xsl:value-of select="substring($datebrute, 9, 2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute,6,2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute, 1, 4)"/>
            </xsl:when>
            <xsl:when test="string-length($datebrute)>0 and contains($datebrute,'..')">
                <xsl:value-of select="$datebrute"/>
            </xsl:when>
            <xsl:otherwise>-</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
